﻿<%@ Page Language="C#" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head2" runat="server">
	<title>Home Page header </title>
	<link href="../mainCSS.css" rel="stylesheet" type="text/css" />
	<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">

		<script type="text/javascript">
			function ShowToolTip(sender) {
				var tooltipManager = $find("<%=RadToolTipManager2.ClientID %>");

				//If the user hovers the image before the page has loaded, there is no manager created  
				if (!tooltipManager) return;

				//Find the tooltip for this element if it has been created   
				var tooltip = tooltipManager.getToolTipByElement(sender);

				//Create a tooltip if no tooltip exists for such element  
				if (!tooltip) {
					tooltip = tooltipManager.createToolTip(sender);
					var longValue = sender.getAttribute("ID");
					var neededValue = longValue.substring(longValue.indexOf('_') + 1)
					tooltip.set_value(neededValue);
					tooltip.show();
				}
			}  
  
		</script>

	</telerik:RadCodeBlock>
</head>
<body>
	<form id="PropertyLocationForm" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>

	<script type="text/C#" runat="server">
	
		protected void Calendar1_DayRender(object sender, Telerik.Web.UI.Calendar.DayRenderEventArgs e)
		{
			TableCell cell = e.Cell;
			Guid ID = Guid.NewGuid();
			cell.Attributes.Add("ID", "Calendar1_" + ID.ToString());
			RadToolTipManager2.TargetControls.Add(e.Cell.Attributes["ID"], "Test Value", true);
		}

		// update of tooltip  
		protected void RadToolTipmanager1_AjaxUpdate(object sender, ToolTipUpdateEventArgs e)
		{
			//create an appointment details  class

			Control details = this.LoadControl("AppointmentDetails.ascx");

			//details.AppointmentID = int.Parse(e.Value);

			e.UpdatePanel.ContentTemplateContainer.Controls.Add(details);
		}  

	
	</script>

	<div>
		<asp:UpdatePanel ID="panel" runat="server" UpdateMode="Conditional">
			<ContentTemplate>
				<asp:MultiView ID="MultiViewAvaibility" runat="server" ActiveViewIndex="0">
					<asp:View ID="ViewCalendar" runat="server">
						<table width="100%">
							<tr>
								<td>
									<telerik:RadCalendar ID="RadCalendar2" runat="server" EnableMonthYearFastNavigation="false"
										AutoPostBack="true" OnDayRender="Calendar1_DayRender" operationtype="Server"
										ShowRowHeaders="false" EnableMultiSelect="true" PresentationType="Preview" ShowOtherMonthsDays="false"
										Skin="Windows7" MultiViewColumns="4" MultiViewRows="3">
										<CalendarDayTemplates>
											<telerik:DayTemplate ID="EndDay" runat="server">
												<Content>
													<img src="../Images/end.png" alt="" style="background-image" />
												</Content>
											</telerik:DayTemplate>
										</CalendarDayTemplates>
									</telerik:RadCalendar>
									<telerik:RadToolTipManager Width="300px" Skin="Windows7" Height="400px" HideEvent="ManualClose"
										RelativeTo="Element" ID="RadToolTipManager2" runat="server" Position="Center"
										OnAjaxUpdate="RadToolTipmanager1_AjaxUpdate">
									</telerik:RadToolTipManager>
								</td>
							</tr>
						</table>
					</asp:View>
					<asp:View ID="ViewReservation" runat="server">
						<!-- Here is Located the Reservation Form-->
						The other view goes here
					</asp:View>
				</asp:MultiView>
			</ContentTemplate>
		</asp:UpdatePanel>
	</div>
	</form>
</body>
</html>
